<template>
  <div class="right-legend">
    <div class="title">
      图例
      <span class="close" @click="closePop">×</span>
    </div>
    <div class="legend-box">
      <div class="legend" v-for="(item, index) in state.list" :key="index">
        <img class="img" :src="item.icon" alt="" :style="`width:${item.width}px;height:${item.height}px;`" />
        <span>{{ item.name }}</span>
      </div>
    </div>
  </div>
</template>

<script>
import store from "@/utils/store";
export default {
  name: "right-legend",
  data() {
    return {
      list: [
        {
          name: "基本农田",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/基本农田.png"),
        },
        {
          name: "工业用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/工业用地.png"),
        },
        {
          name: "居住用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/居住用地.png"),
        },
        {
          name: "集体建设用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/集体建设用地.png"),
        },
        {
          name: "公共管理与公共服务用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/公共管理与公共服务用地.png"),
        },
        {
          name: "交通设施用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/交通设施用地.png"),
        },
        {
          name: "绿地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/绿地.png"),
        },
        {
          name: "水域",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/水域.png"),
        },
        {
          name: "物流仓储用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/物流仓储用地.png"),
        },

        {
          name: "商业服务业设施用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/商业服务业设施用地.png"),
        },

        {
          name: "战略留白用地",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/战略留白用地.png"),
        },
        {
          name: "教育",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/教育.png"),
        },
        {
          name: "科研",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/科研.png"),
        },
        {
          name: "商业服务业",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/商业服务业.png"),
        },
        {
          name: "社会福利",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/社会福利.png"),
        },
        {
          name: "市政",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/市政.png"),
        },
        {
          name: "体育",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/体育.png"),
        },
        {
          name: "停车场",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/停车场.png"),
        },
        {
          name: "文化娱乐",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/文化娱乐.png"),
        },
        {
          name: "行政办公",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/行政办公.png"),
        },
        {
          name: "医疗",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level3/医疗.png"),
        },
        {
          name: "多功能",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/多功能.png"),
        },

        {
          name: "待研究",
          icon: require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/待研究.png"),
        },
     
        // {
        //   name:'路灯杆',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/tuli/Level1/待研究.png"),
        // },
        // {
        //   name:'路名牌杆',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/lmpg.png"),
        // },
        // {
        //   name:'交通信号灯杆',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/jtxhdg.png"),
        // },
        // {
        //   name:'多功能综合杆体',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/dgnzhgt.png"),
        // },
        // {
        //   name:'监控杆',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/jkg.png"),
        // },
        // {
        //   name:'监控标志牌',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/jkbzp.png"),
        // },
        // {
        //   name:'其它杆体',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/qtgt.png"),
        // },
        // {
        //   name:'交通标志牌',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/jtbzp.png"),
        // },
        // {
        //   name:'交通标志杆',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/jtbzg.png"),
        // },
        // {
        //   name:'水质分析仪',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/szfxy.png"),
        // },
        // {
        //   name:'翻斗式雨量计',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/fdsylj.png"),
        // },
        // {
        //   name:'环卫车辆作业管理终端',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/hwclzyglzd.png"),
        // },
        // {
        //   name:'电子门锁',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/dzms.png"),
        // },
        // {
        //   name:'数据采集仪',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/sjcjy.png"),
        // },
        // {
        //   name:'蓝牙嗅探电子围栏',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/lyxtdzwl.png"),
        // },
        // {
        //   name:'空气检测小站',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/csyxj/kqjcxz.png"),
        // },
        // {
        //   name:'企业POI',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/xzspj/qiye.png"),
        // },
        // {
        //   name:'视频监控',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/xzspj/spjk.png"),
        // },
        // {
        //   name:'5G基站',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/xzspj/5g.png"),
        // },
        // {
        //   name:'wifi基站',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/xzspj/wifi.png"),
        // },
        // {
        //   name:'皮基站',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/xzspj/p.png"),
        // },
        // {
        //   name:'高级中学',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'工读学校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'九年一贯制学校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'民办高等教育普通高校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'民办高等教育其他机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'普通高校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'十二年一贯制学校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'特殊教育学校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'完全中学',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'小学',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'幼儿园',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'中等职业学校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'初级中学',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'少数民族学校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'市经济信息化局',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'山峰',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'宾馆旅店',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'出入境中介机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'交通执法机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'路侧停车位',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'驾校',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'社区民警及警务工作室',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'交通支大队',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'非机动车登记站',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'机动车检测场',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'派出所',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'车管站',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'车管所',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'交通事故处理机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'社区居委会',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'捐赠站点',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'婚姻收养登记机关',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'社区志愿者组织',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'公墓陵园',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'室外过渡性安置场所',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'室内过渡性安置场所',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'养老服务机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'殡仪服务机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'律师事务所',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'司法鉴定机构',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'法律援助中心',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // },
        // {
        //   name:'司法所',
        //   icon:require("../../../static/SmartEarthSDK/Workers/image/point-16px.png"),
        // }
      ],
      state:store.Poplayer,
    };
  },
  methods: {
    closePop() {
      this.$parent.showLegend = false;
    },
  },
  mounted(){
  },
  watch: {
    "state.list": function (val) {
      this.state = val
    },
  },
};
</script>

<style scoped>
.right-legend {
  position: absolute;
  /* border: 1px solid #fff;
  border-radius: 5px; */
  background-color: #2153f87e;
  background-image: url("~@/assets/img/new/listbg.png");
  background-size: 100% 100%;  color: #fff;
  padding: 0px 10px 10px;
  width: 400px;
  right: 60px;
  top: -240px;
  z-index: 9999999;
  pointer-events: all;
}
.title {
  padding-left: 8px;
  height: 40px;
  line-height: 40px;
  position: relative;
}
.close {
  color: #fff;
  height: 30px;
  width: 30px;
  font-size: 30px;
  position: absolute;
  text-align: center;
  right: 0px;
  top: 0px;
  cursor: pointer;
  transition: 1s;
}
.legend-box {
   max-height: 340px; 
   overflow-y: auto; 
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.legend {
  height: 2em;
  width: 47%;
  /* background-color: #bfa; */
  /* border: #eee 1px solid; */
  padding: 5px;
  /* margin-bottom: 5px; */
  display: flex;
  align-items: center;
}
.img {
  width: 60px;
  /* width: 25px; */
  height: 25px;
  margin-right: 20px;
}
.legend-box::-webkit-scrollbar {
  /*滚动条整体样式*/
  width: 4px;
  /*高宽分别对应横竖滚动条的尺寸*/
  height: 4px;
  scrollbar-arrow-color: red;
}

.legend-box::-webkit-scrollbar-thumb {
  border-radius: 5px;
  -webkit-box-shadow: inset 0 0 5px rgba(255, 255, 255, 0.2);
  box-shadow: inset 0 0 5px rgba(255, 255, 255, 0.2);
  background: rgba(255, 255, 255, 0.5);
  scrollbar-arrow-color: red;
}

.legend-box::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px rgba(218, 218, 218, 0.2);
  box-shadow: inset 0 0 5px rgba(218, 218, 218, 0.2);
  border-radius: 0;
  background: rgba(218, 218, 218, 0.1);
}
</style>
